# Uses of Class
org.eclipse.emf.compare.rcp.ui.internal.structuremergeviewer.groups.StructureMergeViewerGrouper

Packages that use StructureMergeViewerGrouper
Package
Description
org.eclipse.emf.compare.ide.ui.internal.configuration
org.eclipse.emf.compare.ide.ui.internal.structuremergeviewer
org.eclipse.emf.compare.rcp.ui.internal.configuration
org.eclipse.emf.compare.rcp.ui.internal.structuremergeviewer.actions

## Uses of StructureMergeViewerGrouper in org.eclipse.emf.compare.ide.ui.internal.configuration

Methods in org.eclipse.emf.compare.ide.ui.internal.configuration that return StructureMergeViewerGrouper
Modifier and Type
Method
Description
`StructureMergeViewerGrouper`
EMFCompareConfiguration.`getStructureMergeViewerGrouper()`

## Uses of StructureMergeViewerGrouper in org.eclipse.emf.compare.ide.ui.internal.structuremergeviewer

Constructors in org.eclipse.emf.compare.ide.ui.internal.structuremergeviewer with parameters of type StructureMergeViewerGrouper
Modifier
Constructor
Description
``
`CompareToolBar(org.eclipse.jface.action.ToolBarManager toolbarManager, StructureMergeViewerGrouper viewerGrouper, StructureMergeViewerFilter viewerFilter, EMFCompareConfiguration compareConfiguration)`

## Uses of StructureMergeViewerGrouper in org.eclipse.emf.compare.rcp.ui.internal.configuration

Methods in org.eclipse.emf.compare.rcp.ui.internal.configuration that return StructureMergeViewerGrouper
Modifier and Type
Method
Description
`StructureMergeViewerGrouper`
IEMFCompareConfiguration.`getStructureMergeViewerGrouper()`

## Uses of StructureMergeViewerGrouper in org.eclipse.emf.compare.rcp.ui.internal.structuremergeviewer.actions

Constructors in org.eclipse.emf.compare.rcp.ui.internal.structuremergeviewer.actions with parameters of type StructureMergeViewerGrouper
Modifier
Constructor
Description
``
`GroupAction(StructureMergeViewerGrouper structureMergeViewerGrouper, IDifferenceGroupProvider.Descriptor dgp, IDifferenceGroupProvider gp, DifferenceGroupManager groupManager, boolean isThreeWay)`
Instantiates our action given its target grouper.
``
`GroupActionMenu(StructureMergeViewerGrouper structureMergeViewerGrouper, IDifferenceGroupProvider.Descriptor.Registry registry)`
Constructs our grouping menu.